Skip to content

Get invoice QR code as PNG

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices/{invoice_id}/qr-code/png

Get FIRS QR code as PNG image from cache or generate.

invoice_id
required
Invoice Id
string format: uuid
force_regenerate
Force Regenerate

Force regenerate QR code

boolean

Force regenerate QR code

X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string

QR code PNG image

Examples

200 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}